### Method

# RB Shell get_song_properties

#### Declaration [src]

    gboolean
    rb_shell_get_song_properties (
      RBShell* shell,
      const char* uri,
      GHashTable** properties,
      GError** error
    )

#### Description [src]

Gathers and returns all metadata (including extra metadata such as album art URIs and lyrics) for the specified URI.

#### Parameters

`uri`

  Type: `const char*`

  The URI to query.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`properties`

  Type: `GHashTable`

  Returns the properties of the specified URI.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if the URI is found in the database.